# -*- rpm-spec -*-
# $Id: tcl-readline,v 1.8 2003/09/30 18:08:39 lioka Exp $

%define teaname readline
%define srcname tclreadline
%define srcver 2.1.0

Name: tcl-%teaname
Version: 2.1.1
Release: alt4
Provides: lib%srcname = %version-%release %srcname = %version-%release
Obsoletes: lib%srcname %srcname

Summary: GNU readline for the Tcl scripting language
License: BSD
Group: Shells
Url: http://tclreadline.sourceforge.net

Source0: ftp://tclreadline.sourceforge.net/pub/%srcname/%srcname-%srcver.tar.bz2
Source1: sample.tclshrc
Patch0: %srcname-211.patch.gz
Patch1: %srcname-interp-paths.patch

BuildRequires: automake_1.4 autoconf_2.13 libtool_1.4 libreadline-devel libtinfo-devel tcl-devel >= 8.4.0-alt1
Requires: tcl >= 8.4.0-alt1
 
%package devel
Summary: Development headers and libraries
Group: Development/C
Requires: %name = %version-%release
Provides:  lib%srcname-devel = %version-%release
Obsoletes: lib%srcname-devel

%description
%name makes the gnu readline available to the scripting language tcl.
The primary purpose of the package is to facilitate the interactive
script development by the means of word and file name completion
as well as history expansion (well known from shells like bash).

%description devel
%name makes the gnu readline available to the scripting language tcl.
The primary purpose of the package is to facilitate the interactive
script development by the means of word and file name completion
as well as history expansion (well known from shells like bash).

This package contains development header and library for %name
 
%prep
%setup -q -n %srcname-%srcver
%patch0 -p0
%patch1 -p1

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
%set_libtool_version 1.4
%add_optflags -DUSE_NON_CONST
%configure --libdir=%_tcllibdir --with-tlib-library="-ltinfo"
%make_build

%install
%make_install DESTDIR=%buildroot install \
	libdir=%_tcllibdir tclrldir=%_tcldatadir/%teaname
%__subst 's|\(/usr/lib\)|\1/tcl |' \
	%buildroot%_tcldatadir/%teaname/tclreadlineInit.tcl
%__cp %SOURCE1 .

%files
%doc AUTHORS COPYING ChangeLog README TODO sample.tclshrc
%_tcllibdir/lib%{srcname}*.so
%_tcldatadir/%teaname
%_mandir/mann/%srcname.n.*

%files devel
%_includedir/%srcname.h
%_tcllibdir/lib%srcname.a 
 
%changelog
* Tue Sep 30 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.1.1-alt4
- rebuilt without ncurses

* Sat Sep 27 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.1.1-alt3
- rebuilt in new env

* Tue Oct  1 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1.1-alt2
- rebuilt with tcl 8.4
- name changed

* Tue Jun  4 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1.1-alt1
- 2.1.1
- delibification
- rl shells removed, `package require' use instead recommended
- libpath changed to %_tcllibdir

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1.0-alt2
- rebuild in new env

* Thu Apr 26 2001 Sergey Bolshakoff <s.bolshakov@belcaf.com>
- First spec for ALTLinux distribution





